Bug Hunting Session
Bug 46510 - Turn on Quickstarter by silent install
Summary: Turn on Quickstarter by silent install
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.6.0.0.beta3 target:3.7.0
Keywords:
Depends on:
Blocks: Win-Installer-MAB mab3.5
  Show dependency treegraph
 
Reported: 2012-02-23 04:53 UTC by Andras Timar
Modified: 2013-02-04 17:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-02-23 04:53:57 UTC
If Quickstart is installed, it's not turned on by default - how do we turn it on during the installation?
Comment 1 Timur 2012-02-28 08:32:57 UTC
It seems that turning on Quickstart is not registered in registrymodifications.xcu, like some other settings. So, in which file is it registered?
Comment 2 Timur 2012-04-04 00:37:33 UTC
This is very important for deployment, because LO is slow without this. 
When Quickstart is turned on, shortcut is created that depends on user: "%userprofile%\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup\LibreOffice 3.5.lnk".

I think it would be more logical and easier to turn on Quickstarter for all users by silent install. If it's shortcut, it should be then "%ALLUSERSPROFILE%\Start Menu\Programs\Startup\LibreOffice 3.5.lnk". This works both for XP and 7.
Comment 3 Rainer Bielefeld Retired 2012-04-17 23:46:42 UTC
We had many complaints that users did not want to have quickstarter active.
But I agree, if the quickstarter has been installed intendedly, it should be active by default.
Comment 4 Timur 2012-04-18 01:43:52 UTC
I wrote https://wiki.documentfoundation.org/Deployment_and_Migration based on our experiences with silent installation. One may see that we tried using registrymodifications.xcu for setting not available, and it remains a problem. 

But, the most important problem is Quickstart. We "solved" it by running a script that deletes OpenOffice Quickstart and puts LibreOffice Quickstart. The script depends on version. Windows XP or 7, and on architectures, 32 or 64bit.
Comment 5 Andras Timar 2012-05-18 11:50:35 UTC
I'll implement this feature the following way:
1. Quickstarter is selected for installation by default (as it is now).
2. If Quickstarter is selected, a checkbox will appear on last screen before
   installation begins: [ ] Run Quickstarter. It will be deselected by default.
3. If the checkbox is selected, Quickstarter link will be put to startup folder,
   for all users or for a single user, depending on install mode.
It will work with silent install, too, because checkbox sets a property that can be set in the command line.
Comment 6 Timur 2012-05-30 06:22:13 UTC
Proposed solution is great. It's not in LO 3.5.4.
Comment 7 Stefan Knorr (astron) 2012-06-18 14:20:01 UTC
Hello Andras, Timur,

Most computers these days have 1.5+ GHz dual-cores and a reasonably fast hard drive – LibreOffice starts up in a very acceptable time (i. e. sub-15 seconds on cold start, sub-5 for warm starts).
Also consider the annoyance effect, because lots of people will assume that LibreOffice _now_ has a new quickstarter and absolutely needs a it to run and will therefore consider it "bloated." (I. e. they might have always installed it, but never activated it.)
Please make the quickstarter an optional, non-default install. (Otherwise, if it's installed, it should also get enabled, I agree there.)
Comment 8 Timur 2012-06-19 00:39:55 UTC
Well, we are handling 600 computers, out of which some are 10 year old. I have Core I-7 processor and I still have Quickstarter on.
I find that Andras's concept is good, both for those who just click Next, when it will not be installed, and those who need it, who could have it that way.
Comment 9 Michael Meeks 2012-06-25 03:59:19 UTC
an optional, non-default install sounds fine to me - as for when that will be added to the installer, I guess 3.6 would prolly be the first time you'd hope to see that. Andras - any progress here ? I'm inclined to make this a 3.6 MAB instead of 3.5 :-)
Comment 10 Andras Timar 2012-06-25 05:11:06 UTC
I'm still working on the implementation details. It will be a fix for 3.6, because a new localizable string will be introduced and 3.5 is in string-freeze state.
Comment 11 Not Assigned 2012-06-28 10:53:10 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbc9e19443167bdfd98474ff979bf2c34530efca&g=libreoffice-3-6

fdo#46510 optionally turn on Quickstarter by installer


It will be available in LibreOffice 3.6.
Comment 12 Andras Timar 2012-06-28 11:33:39 UTC
Quickstarter can be turned on with QUICKSTART=1 in MSI command line (or from the Installer Wizard of course).
Comment 13 Not Assigned 2012-06-28 11:34:59 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=677f10cdf0b6a7acb2f94fce8404b464061ccaf7

fdo#46510 optionally turn on Quickstarter by installer
Comment 14 Timur 2012-07-20 10:48:43 UTC
Can you please explain, if we have user Standard which is logged on, and we start the installation with credentials from user Admin, where will Quickstart be turned on?
I did this with LO 3.6 RC2 silent installation, using  QUICKSTART=1 but I don't have it turned on anywhere.
Comment 15 Andras Timar 2012-07-20 11:01:07 UTC
When QUICKSTART=1 there will be created a key in registry:
HKLM\Software\LibreOffice\RunQuickstartAtFirstStart

If there is no user profile, LibreOffice checks for this registry key, and enables the QuickStarter for the current user.

If there is a user profile already, nothing happens. Keeping the QuickStarter setting after upgrade is a separate issue: bug 35568.